Extraction API
Introduction
The Extraction API is used to extract certain details from the Business PAN card like name, Date of Issue, and so on for Business PAN holder using an OCR.
How to call the API
You will need to login before sending the request. You are required to pass the access token received from the login call, as authorization header in the Extraction API request.
API Input Guidelines
For best results, please make sure that the image you use fits tightly in camera view and is horizontally-aligned. Each image/pdf should be less than 2MB.
Though this engine support extraction of images as well as pdf files, our test results indicate that there is much better accuracy and faster response time for image extraction. We would suggest you to pass only image file for better results. For pdf files extacrtion, you can use our pdf to image converter API and then pass the resulted image file in this extraction engine.Pdf to Image(JPG).
Sample Curl
curl --location --request POST 'https://signzy.tech/api/v2/patrons/<patronid>/businessPanV2' \
--header 'Authorization: <token>' \
--header 'content-type: application/json' \
--data-raw '{
"task": "extraction",
"essentials": {
"images": [
"<........upload front file.........>"
]
}
}'Response Parameter
Parameter Name | Description |
|---|---|
essentials | Essential part of the request |
essentials.images | URL of PAN image |
id | Unique user id |
patronId | Unique patronId |
task | The type of task performed - “extraction” |
result | It is the collection of response obtained on API hit. |
result.dateOfIssue | Date of issue of PAN card |
result.name | Name of the PAN card holder/ Name of the organization |
result.number | PAN Number |
result.summary | Summary of OCR output for given input |
result.summary.number | PAN Number |
result.summary.name | Name of the PAN card holder/ Name of the organization |
result.summary.dob | Date of birth of person/ Establishment date of organization. |
result.summary.address | Address of the person/Organization. |
result.summary.splitAddress | This parameter displays the various parts of the address to by splitting them into separate categories like district, state, city, pincode and country. For the country category, acceptable values is “IN”,”IND”and”INDIA” |
result.summary.splitAddress.district | Name of the district |
result.summary.splitAddress.state | Name of the state |
result.summary.splitAddress.city | Name of the city |
result.summary.splitAddress.pincode | Area Pincode corresponding to the address. |
result.summary.splitAddress.country | Country Name |
result.summary.splitAddress.addressLine | First Line of Address |
result.summary.gender | Gender of the card holder |
result.summary.guardianName | Name of the guardian |
result.summary.issueDate | Date of idssue of pancard |
result.summary.expiryDate | Date of expiry of pan card |
result.summary.fatherName | Father Name of the card holder |
result.dob | Date Of Birth of the card holder |
result.fatherName | Father Name of card holder |
Getting help
Please feel free to contact us if you have any questions, require clarification, or have ideas for how to make the documents or any of our services better.
You can reach out to us at [email protected].